import { reactive, onUnmounted } from 'vue';
import { createZoomImageMove } from '@zoom-image/core';

// src/useZoomImageMove.ts
function useZoomImageMove() {
  let result;
  const zoomImageState = reactive({
    zoomedImgStatus: "idle"
  });
  const createZoomImage = (...arg) => {
    result?.cleanup();
    result = createZoomImageMove(...arg);
    const currentState = result.getState();
    for (const key in currentState) {
      zoomImageState[key] = currentState[key];
    }
    result.subscribe(({ updatedProperties }) => {
      for (const key in updatedProperties) {
        zoomImageState[key] = updatedProperties[key];
      }
    });
  };
  onUnmounted(() => {
    result?.cleanup();
  });
  return {
    createZoomImage,
    zoomImageState
  };
}

export { useZoomImageMove };
//# sourceMappingURL=out.js.map
//# sourceMappingURL=chunk-TPLQAHJE.mjs.map