'use strict';

var vue = require('vue');
var core = require('@zoom-image/core');

// src/useZoomImageMove.ts
function useZoomImageMove() {
  let result;
  const zoomImageState = vue.reactive({
    zoomedImgStatus: "idle"
  });
  const createZoomImage = (...arg) => {
    result?.cleanup();
    result = core.createZoomImageMove(...arg);
    const currentState = result.getState();
    for (const key in currentState) {
      zoomImageState[key] = currentState[key];
    }
    result.subscribe(({ updatedProperties }) => {
      for (const key in updatedProperties) {
        zoomImageState[key] = updatedProperties[key];
      }
    });
  };
  vue.onUnmounted(() => {
    result?.cleanup();
  });
  return {
    createZoomImage,
    zoomImageState
  };
}

exports.useZoomImageMove = useZoomImageMove;
//# sourceMappingURL=out.js.map
//# sourceMappingURL=useZoomImageMove.js.map